package day12

import (
	"testing"

	"github.com/stretchr/testify/require"
)

func TestPart1(t *testing.T) {
	r := Part1(`RRRRIICCFF
RRRRIICCCF
VVRRRCCFFF
VVRCCCJFFF
VVVVCJJCFE
VVIVCCJJEE
VVIIICJJEE
MIIIIIJJEE
MIIISIJEEE
MMMISSJEEE`)
	require.Equal(t, 1930, r)
}

func TestPart2(t *testing.T) {
	r := Part2(`AAAA
BBCD
BBCC
EEEC`)
	require.Equal(t, 80, r)
}
